Name:          ironmq-java
Version:       3.0.4
Release:       1%{?dist}
Summary:       Java library for IronMQ
# Source files are without license headers https://github.com/iron-io/iron_mq_java/issues/95
License:       BSD
URL:           https://www.iron.io/platform/ironmq/
Source0:       https://github.com/iron-io/iron_mq_java/archive/ironmq-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
An easy-to-use highly available message queuing service.
Built for distributed cloud applications with critical
messaging needs. Provides on-demand message queuing
with HTTPS transport, one-time FIFO delivery,
message persistence, and cloud-optimized performance.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n iron_mq_java-ironmq-%{version}

# Useless tasks
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
# OSGi support
%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.5.4 . "
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-Name>\${project.name}</Bundle-Name>
    <Bundle-Version>\${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"

# IllegalArgumentException: You should specify Iron token or Keystone credentials
find .  -name "ClientIronMQTest.java" -print -delete
find .  -name "IronMQLongRunningTest.java" -print -delete
find .  -name "IronMQTest.java" -print -delete

%mvn_file io.iron.ironmq:ironmq ironmq

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md iron.json.example
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Nov 10 2016 gil cattaneo <puntogil@libero.it> 3.0.4-1
- initial rpm

